List organization posts
GET
/api/organization/{organizationid}/posts
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Get, RequestUri = new Uri("https://api.eventpoint.io/api/organization/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/posts"), Headers = { { "x-api-key", "<x-api-key>" }, },};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://api.eventpoint.io/api/organization/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/posts';const options = {method: 'GET', headers: {'x-api-key': '<x-api-key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.eventpoint.io/api/organization/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/posts \ --header 'x-api-key: <x-api-key>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”organizationid
required
string format: uuid
The organization identifier.
Query Parameters
Section titled “Query Parameters”projectid
string format: uuid
The project identifier.
sort
string
The field to sort by.
page
integer | string format: int32
The one-based page number.
pagesize
integer | string format: int32
The number of items per page.
Responses
Section titled “Responses”OK
object
page
null | integer | string format: int64
itemsPerPage
null | integer | string format: int64
continuationToken
null | string
cacheToken
null | string
count
integer | string format: int64
numberOfPages
integer | string format: int64
data
Array<object> | null
object
name
null | string
email
null | string
contactEmail
null | string
firstName
null | string
lastName
null | string
phone
null | string
jobTitle
null | string
company
null | string
meta
null | string
projectIds
Array<string> | null
eventIds
Array<string> | null
sort
null | string
object
page
null | integer | string format: int64
itemsPerPage
null | integer | string format: int64
continuationToken
null | string
cacheToken
null | string
count
integer | string format: int64
numberOfPages
integer | string format: int64
data
Array<object> | null
object
name
null | string
email
null | string
contactEmail
null | string
firstName
null | string
lastName
null | string
phone
null | string
jobTitle
null | string
company
null | string
meta
null | string
projectIds
Array<string> | null
eventIds
Array<string> | null
sort
null | string
Example
{ "sortDir": "Asc", "request": { "sortDir": "Asc" }}object
page
null | integer | string format: int64
itemsPerPage
null | integer | string format: int64
continuationToken
null | string
cacheToken
null | string
count
integer | string format: int64
numberOfPages
integer | string format: int64
data
Array<object> | null
object
name
null | string
email
null | string
contactEmail
null | string
firstName
null | string
lastName
null | string
phone
null | string
jobTitle
null | string
company
null | string
meta
null | string
projectIds
Array<string> | null
eventIds
Array<string> | null
sort
null | string
Example
{ "sortDir": "Asc", "request": { "sortDir": "Asc" }}Forbidden
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}